package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public abstract class Where implements java.io.Serializable {
    public abstract <R, A> R accept(Where.Visitor<R, A> v, A arg);

    public interface Visitor<R, A> {
        public R visit(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.NoWhereC p, A arg);

        public R visit(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.WhereC p, A arg);

    }

}
